clang 10.0.0git

Public Member Functions | Static Public Member Functions | Friends | List of all members
OMPNontemporalClause Class Referencefinal

This represents clause 'nontemporal' in the '#pragma omp ...' directives. More...

`#include "clang/AST/OpenMPClause.h"`

Inheritance diagram for OMPNontemporalClause:
[legend]
Collaboration diagram for OMPNontemporalClause:
[legend]

## Public Member Functions
void | setPrivateRefs (ArrayRef< Expr *> VL)
| Sets the list of references to private copies created in private clauses. More...
child_range | children ()
const_child_range | children () const
child_range | private_refs ()
const_child_range | private_refs () const
child_range | used_children ()
const_child_range | used_children () const

## Static Public Member Functions
static OMPNontemporalClause * | Create (const ASTContext &C, SourceLocation StartLoc, SourceLocation LParenLoc, SourceLocation EndLoc, ArrayRef< Expr *> VL)
| Creates clause with a list of variables VL. More...
static OMPNontemporalClause * | CreateEmpty (const ASTContext &C, unsigned N)
| Creates an empty clause with the place for N variables. More...
static bool | classof (const OMPClause *T)

## Friends
class | OMPClauseReader

## Detailed Description

This represents clause 'nontemporal' in the '#pragma omp ...' directives.

#pragma omp simd nontemporal(a)

In this example directive '#pragma omp simd' has clause 'nontemporal' for the variable 'a'.

Definition at line 6281 of file OpenMPClause.h.

## Member Function Documentation

## ◆ children() [1/2]

child_range OMPNontemporalClause::children | ( |  | ) |
| inline

Definition at line 6338 of file OpenMPClause.h.

## ◆ children() [2/2]

const_child_range OMPNontemporalClause::children | ( |  | ) | const
| inline

Definition at line 6343 of file OpenMPClause.h.

References clang::OMPClause::children().

## ◆ classof()

static bool OMPNontemporalClause::classof | ( | const OMPClause * | T | ) |
| inline static

Definition at line 6365 of file OpenMPClause.h.

## ◆ Create()

OMPNontemporalClause * OMPNontemporalClause::Create | ( | const ASTContext & | C,
|  | SourceLocation | StartLoc,
|  | SourceLocation | LParenLoc,
|  | SourceLocation | EndLoc,
|  | ArrayRef< Expr *> | VL
| ) |  |
| static

Creates clause with a list of variables VL.

Parameters

  C | AST context.
  StartLoc | Starting location of the clause.
  LParenLoc | Location of '('.
  EndLoc | Ending location of the clause.
  VL | List of references to the variables.

Definition at line 1162 of file OpenMPClause.cpp.

References clang::ASTContext::Allocate().

Referenced by clang::Sema::ActOnOpenMPNontemporalClause().

## ◆ CreateEmpty()

OMPNontemporalClause * OMPNontemporalClause::CreateEmpty | ( | const ASTContext & | C,
|  | unsigned | N
| ) |  |
| static

Creates an empty clause with the place for N variables.

Parameters

  C | AST context.
  N | The number of variables.

Definition at line 1175 of file OpenMPClause.cpp.

References clang::ASTContext::Allocate().

## ◆ private_refs() [1/2]

child_range OMPNontemporalClause::private_refs | ( |  | ) |
| inline

Definition at line 6348 of file OpenMPClause.h.

Referenced by clang::ASTRecordWriter::writeOMPClause().

## ◆ private_refs() [2/2]

const_child_range OMPNontemporalClause::private_refs | ( |  | ) | const
| inline

Definition at line 6353 of file OpenMPClause.h.

## ◆ setPrivateRefs()

void OMPNontemporalClause::setPrivateRefs | ( | ArrayRef< Expr *> | VL | ) |

Sets the list of references to private copies created in private clauses.

Parameters

  VL | List of references.

Definition at line 1181 of file OpenMPClause.cpp.

References clang::OMPAllocatorClause::getAllocator(), clang::OMPAtomicDefaultMemOrderClause::getAtomicDefaultMemOrderKind(), clang::OMPScheduleClause::getChunkSize(), clang::OMPIfClause::getCondition(), clang::OMPFinalClause::getCondition(), clang::OMPDefaultClause::getDefaultKind(), OMPDeviceClause::getDevice(), clang::OMPScheduleClause::getFirstScheduleModifier(), OMPGrainsizeClause::getGrainsize(), OMPHintClause::getHint(), clang::OMPIfClause::getNameModifier(), clang::OMPCollapseClause::getNumForLoops(), clang::OMPOrderedClause::getNumForLoops(), OMPNumTasksClause::getNumTasks(), OMPNumTeamsClause::getNumTeams(), clang::OMPNumThreadsClause::getNumThreads(), clang::getOpenMPSimpleClauseTypeName(), OMPPriorityClause::getPriority(), clang::OMPProcBindClause::getProcBindKind(), clang::OMPSafelenClause::getSafelen(), clang::OMPScheduleClause::getScheduleKind(), clang::OMPScheduleClause::getSecondScheduleModifier(), clang::OMPSimdlenClause::getSimdlen(), OMPThreadLimitClause::getThreadLimit(), Node, clang::OMPC_SCHEDULE_MODIFIER_unknown, clang::Stmt::printPretty(), and clang::OMPVarListClause< T >::varlist_empty().

## ◆ used_children() [1/2]

child_range OMPNontemporalClause::used_children | ( |  | ) |
| inline

Definition at line 6358 of file OpenMPClause.h.

## ◆ used_children() [2/2]

const_child_range OMPNontemporalClause::used_children | ( |  | ) | const
| inline

Definition at line 6361 of file OpenMPClause.h.

## Friends And Related Function Documentation

## ◆ OMPClauseReader

friend class OMPClauseReader
| friend

Definition at line 6284 of file OpenMPClause.h.

The documentation for this class was generated from the following files:

- include/clang/AST/OpenMPClause.h
- lib/AST/OpenMPClause.cpp